List dropships
Retrieve a paginated list of dropships
GET
/
admin
/
api
/
v1
/
inventories
/
dropships
List dropships
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/dropships \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/dropships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/dropships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/dropships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
},
{
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
List dropships
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/dropships \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/dropships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/dropships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/dropships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
},
{
"id": 1,
"name": "WH/INT/1",
"origin": null,
"move_type": "direct",
"state": "draft",
"is_favorite": false,
"description": null,
"has_deadline_issue": false,
"is_printed": false,
"is_locked": false,
"deadline": null,
"scheduled_at": "2025-04-10T12:10:18.000000Z",
"closed_at": null,
"created_at": "2025-04-10T12:11:32.000000Z",
"updated_at": "2025-04-10T12:11:32.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}